petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDATSSetIJacobianLocal

set a local residual evaluation function

### Synopsis

    #include "petscdmda.h"
    #include "petscts.h"
    PetscErrorCode DMDATSSetIJacobianLocal(DM dm,DMDATSIJacobianLocal func,void *ctx)

Logically Collective Many br

### Input Arguments

| dm | - DM to associate callback with Many br
| func | - local residual evaluation Many br
| ctx | - optional context for local residual evaluation Many br

### Calling sequence for func

    func(DMDALocalInfo* info,PetscReal t,void* x,void *xdot,PetscScalar shift,Mat J,Mat B,void *ctx);

| info | - DMDALocalInfo defining the subdomain to evaluate the residual on Many br
| t | - time at which to evaluate the jacobian Many br
| x | - array of local state information Many br
| xdot | - time derivative at this state Many br
| shift | - see TSSetIJacobian() for the meaning of this parameter Many br
| J | - Jacobian matrix Many br
| B | - preconditioner matrix; often same as J Many br
| ctx | - optional context passed above Many br

Many br

### See Also

DMTSSetJacobian(), DMDATSSetIFunctionLocal(), DMDASNESSetJacobianLocal()

Level:beginner
Location:src/ts/utils/dmdats.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages